# Created by pyp2rpm-3.3.2
%global pypi_name sure

Name:           python-%{pypi_name}
Version:        2.0.1
Release:        %mkrel 2
Summary:        utility belt for automated testing in python for python
Group:          Development/Python
License:        None
URL:            https://github.com/gabrielfalcao/sure
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

# Python 3.10 workaround
# In test_context_is_not_optional(), only check the exception type	
# https://github.com/gabrielfalcao/sure/issues/169
Patch0:         python3.10-workaround.patch
BuildRequires:  python3-devel

# Documentation dependencies	
BuildRequires:  make

# development.txt: Sphinx==2.3.1
BuildRequires:  python3dist(sphinx)
# development.txt: sphinx-rtd-theme==0.4.3
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  python3-docs
BuildRequires:  python3dist(pytest)

%global common_description %{expand:
An idiomatic testing library for python with powerful and flexible assertions
created by Gabriel Falcão. Sure’s developer experience is inspired and modeled
after RSpec Expectations and should.js.}

%description %{common_description}

%generate_buildrequires
%pyproject_buildrequires -r 

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(mock)
Requires:       python3dist(six)

%description -n python3-%{pypi_name} %{common_description}

%package doc
Summary:        Documentation for Sure
Requires:       python3-docs	
%description doc %{common_description}

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# Do not generate a coverage report;
sed -r -i 's/[[:blank:]]--cov=[^[:blank:]]+//' setup.cfg

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%pyproject_wheel
env PYTHONPATH="${PWD}" %make_build -C docs/ html SPHINXOPTS='%{?_smp_mflags}'
rm -vf docs/_build/html/.buildinfo

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest --ignore=tests/test_old_api.py

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license COPYING
%{_bindir}/%{pypi_name}


%files doc
%license COPYING
%doc CHANGELOG.md
%doc README.rst
%doc TODO.rst
%doc docs/build/html


%changelog
* Sun Mar 02 2025 wally <wally> 2.0.1-2.mga10
+ Revision: 2158773
- rebuild for python3.13

* Thu Feb 08 2024 papoteur <papoteur> 2.0.1-1.mga10
+ Revision: 2039033
- fix tests
- fix the test by disabling a old one
- new version 2.0.1
- Mass Rebuild - Python 3.12

* Wed Mar 30 2022 umeabot <umeabot> 2.0.0-3.mga9
+ Revision: 1833845
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 2.0.0-2.mga9
+ Revision: 1782271
- rebuild for python-3.10

* Sun Jul 25 2021 joequant <joequant> 2.0.0-1.mga9
+ Revision: 1737693
- add deps
- update to 2.0.0

* Fri Apr 23 2021 daviddavid <daviddavid> 1.4.11-4.mga9
+ Revision: 1718184
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.4.11-3.mga8
+ Revision: 1531832
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 tv <tv> 1.4.11-2.mga8
+ Revision: 1441255
- rebuild for python-3.8
- drop python2 subpkg

* Sat Apr 20 2019 wally <wally> 1.4.11-1.mga7
+ Revision: 1393999
- imported package python-sure

